Name:                inotify-tools
Version:             3.14
Release:             1
Summary:             Command line utilities for inotify
License:             GPLv2
URL:                 https://github.com/inotify-tools
Source0:             http://github.com/downloads/rvoicilas/inotify-tools/inotify-tools-%{version}.tar.gz
Patch1:              0005-Fix-segfault-with-csv-output-when-filename-contains-.patch
Patch2:              0006-Fix-buffer-overrun-in-inotifytools.c.patch
BuildRequires:       gcc autoconf doxygen
%description
inotify-tools is a set of command-line programs for Linux providing
a simple interface to inotify. These programs can be used to monitor
and act upon filesystem events.

%package        devel
Summary:             Headers and libraries for building apps that use libinotifytools
Requires:            %{name} = %{version}-%{release}
%description    devel
This package contains headers and libraries required to build applications
that use the libinotifytools library.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
%configure \
        --disable-dependency-tracking \
        --disable-static \
        --enable-doxygen
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
rm -rf %{buildroot}/%{_datadir}/doc/
%ldconfig_scriptlets

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/inotifywait
%{_bindir}/inotifywatch
%{_libdir}/libinotifytools.so.*
%{_mandir}/man1/inotifywait.1*
%{_mandir}/man1/inotifywatch.1*

%files devel
%doc libinotifytools/src/doc/html/*
%dir %{_includedir}/inotifytools/
%{_includedir}/inotifytools/inotify.h
%{_includedir}/inotifytools/inotify-nosys.h
%{_includedir}/inotifytools/inotifytools.h
%{_libdir}/libinotifytools.so

%changelog
* Tue Sep 7 2021 zhengyaohui <zhengyaohui1@huawei.com> - 3.14-1
- package init
